function saveus (text) {
	var su = $('.tmpl-saveus-dialog')
	$('.tmpl-name-and-url').text(window.location.href)
	$('.tmpl-err-text').val(text)
	su.css( { left:($('body').width()-su.width())/2+'px', top:($(window).height()-su.height())/2+$(window).scrollTop()+'px' } )
	su.css('visibility', 'visible')
}

function saveus_close () {
	$('.tmpl-saveus-dialog').css('visibility','hidden')
}

function saveus_send () {
	jQuery.ajax ( { type: 'post', url: '/saveus/update.html', dataType: 'text',
		data: {
			keystring: $('.tmpl-captcha-text').val(),
			url: $('.tmpl-name-and-url').text(),
			error: $('.tmpl-err-text').val(),
			message: $('.tmpl-comment').val()
		},
		success: function ( data ) {
			if ( data == 'ok' ) {
				alert('Спасибо, ваше сообщение принято!')
				saveus_close()
			} else {
				$('.tmpl-saveus-captcha').attr('src', '/kcaptcha/index.php?rand='+Math.random())
				$('.tmpl-captcha-text').val('')
				alert('Отправка невозможна. Код введен неверно!')
			}
		}
	} )
}

function getSelText(){
	var txt = ''
	if (window.getSelection){
		txt = window.getSelection()
	}else if (document.getSelection){
		txt = document.getSelection()
	}else if (document.selection){
		txt = document.selection.createRange().text
	}
	return txt;
}

$(document).ready( function () {
	$(document).bind('keydown', function(){
		var e = arguments[0] || window.event
		var code=e.keyCode?e.keyCode:(e.which?e.which:e.charCode)
		if ( code == 27 ) saveus_close()
		if(e.ctrlKey && code==13){
			var text = getSelText()
			saveus(text)
		}
	})
} )